Loading...
Searching...
No Matches
Opm::Valve Class Reference

## Public Member Functions

| Valve (const DeckRecord &record, const double udq_default=0.0)
| Valve (const RestartIO::RstSegment &rstSegment)
| Valve (double conFlowCoeff, double conCrossA, double conMaxCrossA, double pipeAddLength, double pipeDiam, double pipeRough, double pipeCrossA, ICDStatus stat)
double | conFlowCoefficient () const
double | conCrossArea (const std::optional< const ValveUDAEval > &uda_eval=std::nullopt) const
double | conCrossAreaValue () const
double | conMaxCrossArea () const
double | pipeDiameter () const
double | pipeRoughness () const
double | pipeCrossArea () const
double | pipeAdditionalLength () const
ICDStatus | status () const
int | ecl_status () const
void | setConMaxCrossArea (const double area)
void | setPipeAdditionalLength (const double length)
void | setPipeDiameter (const double dia)
void | setPipeRoughness (const double rou)
void | setPipeCrossArea (const double area)
bool | operator== (const Valve &data) const
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Static Public Member Functions

static Valve | serializationTestObject ()
static std::map< std::string, std::vector< std::pair< int, Valve > > > | fromWSEGVALV (const DeckKeyword &keyword, const double udq_default=0.0)

The documentation for this class was generated from the following files:

- opm/input/eclipse/Schedule/MSW/Valve.hpp
- opm/input/eclipse/Schedule/MSW/Valve.cpp